> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a CalendarInvite



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json patch /api/entities/calendarinvite/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/calendarinvite/{id}:
    patch:
      tags:
        - CalendarInvite
      summary: Update a CalendarInvite
      operationId: updateCalendarInvite
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CalendarInvite'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updated:
                    type: boolean
                type: object
          description: Updated
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    CalendarInvite:
      properties:
        createdAt:
          format: date-time
          type: string
        eventId:
          type: string
        id:
          type: string
        lastSentAt:
          format: date-time
          type: string
        orgId:
          type: string
        sequence:
          type: integer
        sessionId:
          type: string
        speakerUserId:
          type: string
        token:
          type: string
      required:
        - id
        - orgId
        - eventId
        - sessionId
        - speakerUserId
        - token
        - sequence
        - createdAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````